@import '../variables.scss';

#prompt-wrapper {
  position: fixed;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.6);
  z-index: 998;
  overflow-y: hidden;
  transition: 0.2s all ease-in-out;

  #prompt {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999;
    background: $bg;
    padding: 40px;
    border-radius: 30px;
    text-align: center;
    @media #{$mq-phone} {
      padding: 20px;
      border-radius: 25px;
      width: 80%;
    }

    p {
      font-size: 1.4rem;
      font-weight: 500;
      text-transform: uppercase;
      font-style: italic;
      margin: 0 30px 20px;
      @media #{$mq-phone} {
        font-size: 1.2rem;
      }
    }

    button {
      font-size: 1.3rem;
      margin: 30px 40px 0;
      text-transform: uppercase;
      @media #{$mq-phone} {
        font-size: 1rem;
        margin: 15px 40px 0;
      }
    }

    .cancel {
      @include gradient-text($grad1);
      text-transform: capitalize;

      position: relative;
      transition: 0.2s all ease-in-out;
      left: 0;

      &:after {
        content: '';
        width: 100%;
        height: 2pt;
        position: absolute;
        bottom: -3px;
        left: 50%;
        transform: translateX(-50%);
        background: $grad1;
        transition: 0.2s all ease-in-out;
      }

      &:hover {
        transform: scale(1.1);

        &:after {
          width: 120%;
        }
      }
    }

    .ok {
      color: $bg;
      background: $grad1;
      padding: 6px 25px;
      border-radius: 1000px;

      transition: 0.2s all ease-in-out;

      &:hover {
        transform: scale(1.1);
      }
    }
  }
}
